default_versions:
- name: python
  version: 3.8.x
dependencies:
- name: miniconda3
  sha256: bfe34e1fa28d6d75a7ad05fd02fa5472275673d5f5621b77380898dee1be15d2
  source: https://github.com/conda/conda/archive/4.7.12.1.tar.gz
  source_sha256: bfe34e1fa28d6d75a7ad05fd02fa5472275673d5f5621b77380898dee1be15d2
  uri: https://repo.continuum.io/miniconda/Miniconda3-4.7.12.1-Linux-x86_64.sh
  version: 4.7.12.1
- name: libffi
  sha256: 4d4741632f4e90b4e3e362eec205c334543208871055ecbe94ba382cefc5f4e7
  uri: https://s3.amazonaws.com/suse-buildpacks-staging/dependencies/libffi/libffi-3.2.1-linux-x64-sle15-4d474163.tgz
  version: 3.2.1
- name: libmemcache
  sha256: fd74d2bda873ccababee0f79dd08dae377941935e76266d9fe8b2a7a5e1ed8fe
  uri: https://s3.amazonaws.com/suse-buildpacks-staging/dependencies/libmemcache/libmemcache-1.0.18-linux-x64-sle15-fd74d2bd.tgz
  version: 1.0.18
- name: pip-pop
  sha256: 80d8fc8f866276abf5aee267cf96f853cc6d9f2d30d61b03cdb90acb936a42c3
  uri: https://s3.amazonaws.com/suse-buildpacks-staging/dependencies/pip/pip-pop-0.1.5-80d8fc8f.tar.gz
  version: 0.1.5
- name: pipenv
  sha256: 4b81b10de9d2277fdc232c8c439c1b902fbe53dcfd4790f13e6ef053cb29f15c
  uri: https://s3.amazonaws.com/suse-buildpacks-staging/dependencies/pipenv/pipenv-2020.8.13-sle15-4b81b10d.tgz
  version: 2020.8.13
- name: python
  sha256: dd8ae0b8b2928195237ad5d8cefd46070549128425c0db834e4218b57af968eb
  uri: https://s3.amazonaws.com/suse-buildpacks-staging/dependencies/python/python-3.5.7-linux-x64-sle15-dd8ae0b8.tgz
  version: 3.5.7
- name: python
  sha256: 7dbba35698d793d99b24eee2c4151ea5b289e8b335b64cf7209073eb06db7ab8
  uri: https://s3.amazonaws.com/suse-buildpacks-staging/dependencies/python/python-3.5.9-linux-x64-sle15-7dbba356.tgz
  version: 3.5.9
- name: python
  sha256: ae7055569d2e86f8a93c1a51e0e508160aa6f0d73dae9368e474acf48239addf
  uri: https://s3.amazonaws.com/suse-buildpacks-staging/dependencies/python/python-3.6.10-linux-x64-sle15-ae705556.tgz
  version: 3.6.10
- name: python
  sha256: 0f63708e7383ef7990a3d5cd29f1548f85d8e40991c2fc54ee340f63f06e6f33
  uri: https://s3.amazonaws.com/suse-buildpacks-staging/dependencies/python/python-3.6.11-linux-x64-sle15-0f63708e.tgz
  version: 3.6.11
- name: python
  sha256: d93b7f76c329cf3f6e6d0875765555aff4a6329989e394be5d3263920c68f96f
  uri: https://s3.amazonaws.com/suse-buildpacks-staging/dependencies/python/python-3.7.7-linux-x64-sle15-d93b7f76.tgz
  version: 3.7.7
- name: python
  sha256: 751292b70a20fe785c83127baabbab487e6fa9566740cb8e33637ecc00cd28cc
  uri: https://s3.amazonaws.com/suse-buildpacks-staging/dependencies/python/python-3.7.8-linux-x64-sle15-751292b7.tgz
  version: 3.7.8
- name: python
  sha256: 5746b6b734b466d76bbc56e73ff766eee033140969ece178695a96820f8926b5
  uri: https://s3.amazonaws.com/suse-buildpacks-staging/dependencies/python/python-3.8.3-linux-x64-sle15-5746b6b7.tgz
  version: 3.8.3
- name: python
  sha256: d745d79af0c2c8457a104a72eca493de5d236fa1f045b23835dedb15a73f1f94
  uri: https://s3.amazonaws.com/suse-buildpacks-staging/dependencies/python/python-3.8.5-linux-x64-sle15-d745d79a.tgz
  version: 3.8.5
- name: setuptools
  sha256: ff12997bf007a2494f4533c65011d6f4abf5532e82ffe28e0c84a0e3f9094592
  uri: https://s3.amazonaws.com/suse-buildpacks-staging/dependencies/setuptools/setuptools-49.6.0-ff12997b.zip
  version: 49.6.0
dependency_deprecation_dates:
- date: "2023-06-27"
  link: https://www.python.org/dev/peps/pep-0537/
  name: miniconda3
  version_line: 4.7.x
- date: "2020-09-13"
  link: https://www.python.org/dev/peps/pep-0478/
  name: python
  version_line: 3.5.x
- date: "2021-12-23"
  link: https://www.python.org/dev/peps/pep-0494/
  name: python
  version_line: 3.6.x
- date: "2023-06-27"
  link: https://www.python.org/dev/peps/pep-0537/
  name: python
  version_line: 3.7.x
- date: "2024-10-14"
  link: https://www.python.org/dev/peps/pep-0569/
  name: python
  version_line: 3.8.x
include_files:
- CHANGELOG
- CONTRIBUTING.md
- ISSUE_TEMPLATE
- LICENSE
- NOTICE
- PULL_REQUEST_TEMPLATE
- README.md
- VERSION
- bin/compile
- bin/detect
- bin/finalize
- bin/release
- bin/supply
- manifest.yml
language: python
pre_package: scripts/build.sh
stack: sle15
